.titles-grid {
    max-width: 1100px;
    width: 100%;
    margin: 0 auto;
    display: grid;
    gap: 2px;
}

.row {
    display: grid;
    gap: 2px;
}

.row-1, .row-3 { 
    grid-template-columns: repeat(2, 1fr);
}
    .row-2, .row-4 { 
    grid-template-columns: repeat(3, 1fr);
}

.img-container {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.rectangle {
    aspect-ratio: 3/4;
}

.square {
    aspect-ratio: 1/1;
}

img-container {
    position: relative;
    width: 100%;
    overflow: hidden;
}

img-container img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 0;
    left: 0;
    transition: transform 0.2s ease;
}

.img-main {
    opacity: 1;
    z-index: 1;
}

.img-hover {
    opacity: 0;
    z-index: 2;
}

.img-container:hover .img-hover {
    opacity: 1;
    transform: scale(1.02);
}

.img-container:hover .img-main {
    opacity: 0;
}